package com.aps.service.Algorithm;

/**
 * 作者：佟礼
 * 时间：2026-01-27
 */
public class DataNode {
        int id;
    Integer time;
        Integer groupId;
        int no;

        public DataNode(int id, Integer time, int groupId, int no) {
            this.id = id;
            this.time = time;
            this.groupId = groupId;
            this.no = no;
        }

        public int getGroupId() { return groupId; }
        public long getTime() { return time; }
        public int getNo() { return no; }

        @Override
        public String toString() {
            return String.format("%d\t%d\t%d\t%d", id, time, groupId, no);
        }
}
